picard.illumina

## Enum IlluminaBasecallsToFastq.ReadNameFormat

- java.lang.Object
- - java.lang.Enum<IlluminaBasecallsToFastq.ReadNameFormat>
  - - picard.illumina.IlluminaBasecallsToFastq.ReadNameFormat

- All Implemented Interfaces:
    Serializable, Comparable<IlluminaBasecallsToFastq.ReadNameFormat>
  Enclosing class:
    IlluminaBasecallsToFastq

      public static enum IlluminaBasecallsToFastq.ReadNameFormat
      extends Enum<IlluminaBasecallsToFastq.ReadNameFormat>

  Simple switch to control the read name format to emit.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CASAVA_1_8`
    `ILLUMINA`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IlluminaBasecallsToFastq.ReadNameFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IlluminaBasecallsToFastq.ReadNameFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CASAVA_1_8

          public static final IlluminaBasecallsToFastq.ReadNameFormat CASAVA_1_8

    - #### ILLUMINA

          public static final IlluminaBasecallsToFastq.ReadNameFormat ILLUMINA

  - ### Method Detail

    - #### values

          public static IlluminaBasecallsToFastq.ReadNameFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IlluminaBasecallsToFastq.ReadNameFormat c : IlluminaBasecallsToFastq.ReadNameFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IlluminaBasecallsToFastq.ReadNameFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null